#!/bin/bash

files="abstract.tex acknowledgements.tex objectives.tex existing_impl.tex problem.tex background-study.tex methodology.tex prototyping.tex design.tex implementation.tex testing.tex distribution.tex evaluation.tex"



echo
echo "Utility for counting words in LaTeX modules"
echo " stripping out LaTeX markup"
echo
echo "Thomas Salmon - tws9@aber.ac.uk"
echo


for file in $files
do
	echo "`cat $file | sed -e 's/\\\w*{/{/g' -e 's/{\w*}//g' -e 's/[^\\]%.*$//g' -e 's/^%.*//g' -e 's/\\\w*//g' | wc -w`  $file"
done

echo "`cat $files | sed -e 's/\\\w*{/{/g' -e 's/{\w*}//g' -e 's/[^\\]%.*$//g' -e 's/^%.*//g' -e 's/\\\w*//g' | wc -w`  TOTAL"


