#!/bin/bash

# Get the latest copy of source code, and place into appropriate files, for
#use in appendicies within dissertation

#Author: Thomas Salmon tws9@aber.ac.uk	tom@slashtom.org

# get kernel source
cat ../src/kernel/ip_faulty_router.c | sed -e 's/	/    /g' -e '1i\
\\begin{verbatim}' -e '$a\
\\end{verbatim}' > TMP_KERNEL_SRC.tex

# get kernel header
cat ../src/kernel/ip_faulty_router.h | sed -e 's/	/    /g' -e '1i\
\\begin{verbatim}' -e '$a\
\\end{verbatim}' > TMP_KERNEL_HDR.tex


# get userspace program
cat ../src/userspace/faultctrl.c | sed -e 's/	/    /g' -e '1i\
\\begin{verbatim}' -e '$a\
\\end{verbatim}' > TMP_USERSPACE_SRC.tex


# get the test perl scripts
cat ../test/chkdrop.pl | sed -e 's/	/    /g' -e '1i\
\\begin{verbatim}' -e '$a\
\\end{verbatim}' > TMP_CHKDROP.tex
cat ../test/chkorder.pl | sed -e 's/	/    /g' -e '1i\
\\begin{verbatim}' -e '$a\
\\end{verbatim}' > TMP_CHKORDER.tex

