#!/bin/bash

# Tests the test scripts
#
#Author: Thomas Salmon - tws9@aber.ac.uk	tom@slashtom.org

SRC='192.168.2.2'
DST='192.168.1.3'

CHKDROP='./chkdrop.pl'
CHKORDER='./chkorder.pl'

OPTIONS="-range 0,199,200,1000,1001,1500 -icmp -s $SRC -d $DST"

SAMPLES='sample_packet_dumps'

for file in ${SAMPLES}/kaled*
do
	# display the name of what sample we're testing
	echo `echo $file | sed -e "s/^${SAMPLES}\/kaled_//" -e 's/_/ /g'\
	-e 's/\.txt$//'`

	echo "";

	echo "DROP RESULTS:";
	$CHKDROP $OPTIONS `echo $file | sed -e 's/kaled/test.cs390/'` $file
	echo "";
	echo "REORDER RESULTS:";
	$CHKORDER $OPTIONS `echo $file | sed -e 's/kaled/test.cs390/'` $file

	echo "";
	echo "";
	echo "";
done;
